Subject: Re: FVWM: X-Terminals

From: Sam Krishnabhat <[email-masked]>
Date: Fri, 7 May 1999 13:27:03 -0700 (PDT)

Thus spake Bob Woodside:
> 
> Neil Bird wrote:
> > 
> > "Brian D. McGrew" wrote:
> > >      Quick question.  I'm using a virtual 2x2 desktop.
> > >  How, using what commands can I tell X-Terminal which
> > > desktop I want it to load on.  (ie. I want to load one
> > > on desktop 1x1, 1x2 and 2x2; but not 2x1).  Can this
> > > be done?  If so, can someone give me the command?
> > 
> >   <Ahem>  "RTFM".
> > 
> >   (BTW, I believe the pages start at '0' not '1').
> 
> 	Yes, they do.
> 
> >           xterm -xrm "*Page:3 2 1"
> > 
> >      will start an xterm two pages to the right and one down from
> >      the  upper left hand page of desk number 3. Not all applica-
> >      tions understand the use of these options, however.
> > 
> >   Mind you, I've not tried that myself ... and you may be able to omit the
> > desk number as you can with StartsOnPage.
> 
> 	Yes, you can. "*Page: 2 1" will give you this relative page positioning
> on the current desktop. (The full resource name is actually
> "Fvwm.Page".)
> 
> 	Also, in most cases you'd probably want to set a style like
> 
> Style "xterm" SkipMapping

Can you please explain me how this option SkipMapping is useful.
An example will be very useful. I checked the max page, it is very brief.

-sam
 
> to avoid warping to each desktop in turn as these xterms are started up.
> At least I would find that annoying.
> 
> 	Brian -- you didn't tell us what release of FVWM you're using. This
> technique that Neil describes requires 2.2 or later. If you're using
> 2.0.46, there's a patch available to implement StartsOnPage.
> 
> 	If you're using version 1, you're out of luck. You have to use the old
> hack of specifying geometries on the command line to position the
> windows beyond the boundaries of the currently visible viewport (page),
> and it only works if you are on page 0,0 (upper left hand corner) when
> you start them. (And, frankly, I won't guarantee that it works at all:
> version 1 hasn't been actively supported for a long time.)
> 
> 
> - Bob
> --
> Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
> To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> message to [email-masked].
> To report problems, send mail to [email-masked].
> 
> 

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Bob Woodside <[email-masked]>
Date: Fri, 07 May 1999 22:49:22 -0400

> An example will be very useful. I checked the max page, it is very brief.

	Normally when a window is created on a desktop or page other than the
current one, FVWM switches to that desktop/page. SkipMapping prevents
this: your viewport doesn't change when the new window is created. So,
you can continue working in some other app while the new one - Netscape,
for example - takes its sweet time starting up. And you can take your
sweet time about switching to the page with the new app - when you're
good and ready.

	Now, in Brian's case, which started this discussion, he wants to start
up several xterms - I presume all at the same time, at startup. Without
using the SkipMapping style, FVWM would be ping-ponging back and forth
among different pages untill all these windows got mapped. It's really a
pretty ugly sight.

- Bob